package digi.recipeManager.data;

import java.io.Serializable;

public class FurnaceData implements Serializable
{
	private static final long	serialVersionUID	= -1689042281099016546L;
	private String				smelter;
	private ItemData			smeltItem;
	private String				fueler;
	private ItemData			fuelItem;
	
	public String getSmelter()
	{
		return smelter;
	}
	
	public FurnaceData setSmelter(final String playerName)
	{
		smelter = playerName;
		return this;
	}
	
	public ItemData getSmeltItem()
	{
		return smeltItem;
	}
	
	public FurnaceData setSmeltItem(final ItemData smeltItem)
	{
		this.smeltItem = smeltItem;
		return this;
	}
	
	public String getFueler()
	{
		return fueler;
	}
	
	public FurnaceData setFueler(final String playerName)
	{
		fueler = playerName;
		return this;
	}
	
	public ItemData getFuelItem()
	{
		return fuelItem;
	}
	
	public FurnaceData setFuelItem(final ItemData fuelItem)
	{
		this.fuelItem = fuelItem;
		return this;
	}
}